Package org.sqlite

## Class SQLiteJDBCLoader.VersionHolder

- java.lang.Object
- - org.sqlite.SQLiteJDBCLoader.VersionHolder

Enclosing class:
  SQLiteJDBCLoader

    public static final class SQLiteJDBCLoader.VersionHolder
    extends Object

This class will load the version from resources during <clinit>. By initializing this at build-time in native-image, the resources do not need to be included in the native executable, and we're eliminating the IO operations as well.

### Constructor Summary

Constructors
`VersionHolder()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VersionHolder

    public VersionHolder()